Opened 5 months ago

Closed 5 months ago

#34261 closed defect (fixed)

Remove pandas warning when using bullseye version of pandas

Reported by: karsten Owned by: karsten
Priority: Medium Milestone:
Component: Metrics/Onionperf Version:
Severity: Normal Keywords:
Cc: metrics-team, acute, phw Actual Points: 0.1
Parent ID: Points: 0.2
Reviewer: Sponsor: Sponsor59

Description

The following warning is shown when using OnionPerf's visualize mode with version 0.25.3 of pandas (contained in Debian bullseye). It is not shown when using buster's version of pandas. If there's an easy way to remove the warning when using either version, let's do it.

    /usr/lib/python3/dist-packages/pandas/plotting/_matplotlib/converter.py:103: FutureWarning: Using an implicitly registered datetime converter for a matplotlib plotting method. The converter was registered by pandas on import. Future versions of pandas will require you to explicitly register matplotlib converters.

    To register the converters:
    	>>> from pandas.plotting import register_matplotlib_converters
    	>>> register_matplotlib_converters()
      warnings.warn(msg, FutureWarning)

Child Tickets

Change History (5)

comment:1 Changed 5 months ago by karsten

Owner: changed from metrics-team to karsten
Status: newaccepted

Taking a look.

comment:2 Changed 5 months ago by karsten

Status: acceptedneeds_review

Tried out the suggested fix from the warning message with old and new pandas version, and it worked. Please review commit eaa9f71 in my task-34261 branch.

comment:3 Changed 5 months ago by karsten

Actual Points: 0.1

comment:4 Changed 5 months ago by acute

Status: needs_reviewmerge_ready

This looks good, setting to ready_for_merge!

comment:5 Changed 5 months ago by karsten

Resolution: fixed
Status: merge_readyclosed

Merged. Thanks for looking! Closing.

Note: See TracTickets for help on using tickets.